Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.jna
Class Native

    java.lang.Object
      com.sun.cldc.jna.Native

    public class Native

extends Object

Generic machinery to support access to native code.

### Differences from JNA

- Throws RuntimeExceptions instead of UnsatisfiedLinkErrors. Are link errors really "unrecoverable"? Platform independant code might want to work around missing functions.
- Search paths unimplemented
- Calling conventions unimplemented
- no finalization in cldc, need to call dispose() explicitly (could add a shutdownhook though).
- no parseVersion();
- no getFile()

Field Summary
`static boolean` | `DEBUG`
`static String` | `DEFAULT`
`static int` | `LONG_SIZE`
`static int` | `POINTER_SIZE`
`static int` | `WCHAR_SIZE`

Method Summary
`static boolean[]` | `doInitCheck(boolean[] checkArray, int length, int index)` a bit of sanity checking that every "constant index" is really unique and every one is checked.
`static NativeLibrary` | `getLibraryLoading()` Kludge to pass loading library to default constructor of implementation class.
`static Library` | `loadLibrary(String name, Class interfaceClass)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

See Also:
  Constant Field Values

### POINTER_SIZE

    public static final int POINTER_SIZE

See Also:
  Constant Field Values

### LONG_SIZE

    public static final int LONG_SIZE

See Also:
  Constant Field Values

### WCHAR_SIZE

    public static final int WCHAR_SIZE

See Also:
  Constant Field Values

### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

Method Detail

### getLibraryLoading

    public static NativeLibrary getLibraryLoading()

  Kludge to pass loading library to default constructor of implementation class.

  Returns:
    NativeLibrary or null if not loading a NativeLibrary.

### loadLibrary

    public static Library loadLibrary(String name,
                                      Class interfaceClass)

### doInitCheck

    public static boolean[] doInitCheck(boolean[] checkArray,
                                        int length,
                                        int index)

  a bit of sanity checking that every "constant index" is really unique and every one is checked. once this is autogenerated this will be less necessary

  Parameters:
    `checkArray` - the current value of the check array (may be null)
    `length` - the length of the check array
    `index` - the index being checked.
  Returns:
    the checkArray object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"